View Issue Details

IDProjectCategoryView StatusLast Update
0001152VariiSpace[All Projects] Generalpublic2016-08-28 18:49
ReporterXenosAssigned ToXenos 
PrioritynormalSeverityfeatureReproducibilityN/A
Status CloseResolutionfixed 
Product Version1.0.0-a.0 
Target VersionFixed in Version0.1.0 
Summary0001152: Créer la vue navigable des objets célestes
DescriptionAyant les objets célestes définis en BDD, il faut créer une vue permettant de naviguer dans l'univers. La vue sera focalisée sur un OC particulier (défini via l'URL de la vue, qui sera par ID genre /?objet-celete=... et aussi par arborescence genre /objet/1/24/51/620 = l'objet 620, enfant du 51, enfant du 24, enfant du 1, ce qui permet de facilement remonter l'arborescence; note que le 1er peut rediriger vers le 2nd éventuellement Non, complexe pour rien (requête BDD impossible)). On aura une page web avec une image (SVG) montrant l'objet céleste et ses enfants qui tournent autour.

L'objet céleste aura une constante de temps qui permettra de savoir à quelle vitesse réelle ces enfants tournent (aka on sait qu'ils orbitent avec une certaine période définie par la BDD, et cette période est multipliée par ce coefficient pour donner la vitesse de rotation affichée). Dans le 0001500

Chaque objet céleste sera à l'échelle si possible (rayon de l'OC et rayon orbital de l'OC).

Chaque objet céleste aura, pour le moment, une simple couleur (bleue, fixe pour tous les OC, on la rendra dynamique plus tard, à partir de la composition de l'OC).

On pourra cliquer un OC pour afficher sa vue (genre sur la page /1/24/51 on cliquera sur une planète qui ouvrira la page /1/24/51/620). On pourra aussi cliquer sur un bouton de "retour" permettant de monter au parent de l'OC courant (genre sur la page /1/24/51, j'ai un bouton pour aller sur /1/24).

Enfin, la page affichera les informations de l'objet céleste courant (si je suis sur la page /1/24/51/620, un encart m'indique le nom, les propriétés, la composition de l'OC 620).
TagsNo tags attached.
Attach Tags

Relationships

related to 0001500 Understood Les OCs bougent dans le temps 
parent of 0001151 CloseXenos Créer la structure des objets célestes 
child of 0001159 CloseXenostom Mécanisme d'arrivée des nouveaux joueurs 
child of 0001158 CloseXenos Permettre aux joueurs de construire les vaisseaux 
child of 0001160 CloseXenos Pouvoir déplacer ses vaisseaux d'un OC à l'autre 
child of 0001161 CloseXenostom Ajouter une vue des vaisseaux en orbite 

Activities

Xenos

Xenos

2016-05-21 17:11

administrator   ~0001881

J'ai déjà fait une bonne partie de cela dans le 0001151
Xenos

Xenos

2016-05-21 17:26

administrator   ~0001882

Last edited: 2016-08-27 19:39

C'est plutôt moche, mais OSEF, ça marche et y'a les infos.

L'archi interne pue du c*l en revanche...
Xenos

Xenos

2016-08-18 22:45

administrator   ~0002160

Last edited: 2016-08-27 19:39

View 2 revisions

L'archi générale a été reprise, donc maintenant, cela ne pue plus du c*l.

En revanche, c'est franchement moche, donc j'aimerai d'abord finir une version esthétique de ce truc, avant de continuer le dev.

L'idéal serait de faire une première release moche (mais avec une vraie carte correctement structurée, donc il va falloir que je fasse cela d'abord).
Ensuite, je pourrait la poster sur jeuweb (j'entends d'ici l'absence de réponse), et je m'attellerai ce week-end à la rendre "esthétique". Je ferai alors la MaJ, et je regarderai la différence dans les réactions (s'il y en a).

Je peux d'ailleurs creuser du côté de la 3D, vu que le test de Jerem' est chouette ( https://api.global-chaos.fr/old/system/ ). Bon honnêtement, c'était bien plus beau avant... Mais l'idée est là: des points brillants pour faire l'illustration de la galaxie, c'est classe.

Ou comme cela: http://www.html5rocks.com/en/tutorials/casestudies/100000stars/

A voir si je fait cet esthétisme-là dans le même ticket ou si je crée un autre ticket pour cet aspect 3D/illustration.

Xenos

Xenos

2016-08-28 18:49

administrator   ~0002199

C'est pas esthétique pour l'instant, mais cet aspect est à travailler dans les prochains tickets

Issue History

Date Modified Username Field Change
2016-04-24 21:21 Xenos New Issue
2016-04-24 21:21 Xenos Status New => Accepted
2016-04-24 21:50 Xenos Relationship added parent of 0001151
2016-04-24 21:52 Xenos Relationship added child of 0001159
2016-04-24 21:53 Xenos Relationship added child of 0001158
2016-04-24 21:54 Xenos Relationship added child of 0001160
2016-04-24 21:54 Xenos Relationship added child of 0001161
2016-05-21 17:09 Xenos Description Updated View Revisions
2016-05-21 17:10 Xenos Relationship added related to 0001500
2016-05-21 17:10 Xenos Description Updated View Revisions
2016-05-21 17:11 Xenos Note Added: 0001881
2016-05-21 17:11 Xenos Assigned To => Xenos
2016-05-21 17:11 Xenos Status Accepted => In progress
2016-05-21 17:26 Xenos Note Added: 0001882
2016-05-21 17:26 Xenos Status In progress => Ready
2016-05-21 17:26 Xenos Resolution open => fixed
2016-08-18 22:45 Xenos Note Added: 0002160
2016-08-18 22:45 Xenos Status Ready => Accepted
2016-08-18 22:48 Xenos Note Edited: 0002160 View Revisions
2016-08-27 19:39 AutoUpdater Status Accepted => Resolved
2016-08-27 19:39 AutoUpdater Fixed in Version => 0.1.0
2016-08-28 18:49 Xenos Note Added: 0002199
2016-08-28 18:49 Xenos Status Resolved => Close